#import "kernel32.dll"
        int WinExec(uchar & cmd, int showConsole);
#import

#define  WINEXEC_SHOWNORMAL 1
#define  WINEXEC_OUT_OF_MEMORY 0 
#define  WINEXEC_BAD_FORMAT 11
#define  WINEXEC_FILE_NOT_FOUND 2 
#define  WINEXEC_PATH_NOT_FOUND 3
#define  WINEXEC_MIN_OK 32

enum EWinExecResult
{
   WER_OK   = 0,
   WER_UNKNOWN_ERROR = -1,
   WER_OUT_OF_MEMORY = -2,
   WER_BAD_FILEFORMAT = -3,
   WER_FILE_NOT_FOUND = -4,
   WER_PATH_NOT_FOUND = -5,
   WER_CANT_CALL_DLL = -6
};

//     - WinExec() c  SW_SHOWNORMAL.

EWinExecResult CallWinExec(string strCommand)
{
   if(TerminalInfoInteger(TERMINAL_DLLS_ALLOWED) != true)
      return(WER_CANT_CALL_DLL);
   
   uchar ucString[];
      
   StringToCharArray(strCommand,ucString); 
      
   int iRes = WinExec(ucString[0],WINEXEC_SHOWNORMAL);
      
   if(iRes >= WINEXEC_MIN_OK)
      return(WER_OK);

   if(iRes == WINEXEC_OUT_OF_MEMORY)
      return(WER_OUT_OF_MEMORY);

   if(iRes == WINEXEC_BAD_FORMAT)
      return(WER_BAD_FILEFORMAT);

   if(iRes == WINEXEC_FILE_NOT_FOUND)
      return(WER_FILE_NOT_FOUND);

   if(iRes == WINEXEC_PATH_NOT_FOUND)
      return(WER_PATH_NOT_FOUND);

   return(WER_UNKNOWN_ERROR);      
}
